Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5117)
@@ -40,7 +40,7 @@
       
 !     local variables
-      integer         :: ilon,ilev,ik
-      real, parameter :: rath2oair = mAIRmol/mH2Omol  
-      real, parameter :: third = 1./3.
+      INTEGER         :: ilon,ilev,ik
+      REAL, parameter :: rath2oair = mAIRmol/mH2Omol
+      REAL, parameter :: third = 1./3.
       real            :: pph2ogas(klon,klev) 
       real            :: temp, wpp, xa, surtens, mvh2o, radwet, fkelvin, pph2okel, r2so4ik, denso4ik
@@ -93,5 +93,5 @@
 !      ***   H2SO4-H2O curved surface - Kelvin effect factor ***
 !            wet radius (m) (RRSI(IK) in [cm])
-             if (f_r_wetB(ilon,ilev,IK) > 1.0) THEN
+             IF (f_r_wetB(ilon,ilev,IK) > 1.0) THEN
                radwet = 1.e-2*RRSI(IK)*f_r_wetB(ilon,ilev,IK)
              else 
@@ -766,5 +766,5 @@
 !********************************************************************
 !-----------------------------------------------------------------------
-      real function psh2so4(T) result(psh2so4_out)
+      REAL function psh2so4(T) result(psh2so4_out)
 !     equilibrium H2SO4 pressure over pure H2SO4 solution (Pa)
 
@@ -774,6 +774,6 @@
 
       IMPLICIT NONE
-      real, intent(in) :: T
-      real, parameter ::      &
+      REAL, INTENT(IN) :: T
+      REAL, parameter ::      &
     b1=1.01325e5, &
     b2=11.5,  &
@@ -789,14 +789,14 @@
     END FUNCTION psh2so4
 !-----------------------------------------------------------------------
-    real function ndsh2so4(T) result(ndsh2so4_out)
+    REAL function ndsh2so4(T) result(ndsh2so4_out)
 !     equilibrium H2SO4 number density over pure H2SO4 (molec/cm3)
 
       IMPLICIT NONE
-      real, intent(in) :: T
+      REAL, INTENT(IN) :: T
       REAL :: presat
 
 !     Boltzmann constant ( 1.38065e-23 J/K = m2⋅kg/(s2⋅K) )
 !      akb idem in cm2⋅g/(s2⋅K) 
-      real, parameter :: akb=1.38065e-16
+      REAL, parameter :: akb=1.38065e-16
 
 !     pure h2so4 saturation vapor pressure (Pa)
@@ -808,9 +808,9 @@
      END FUNCTION ndsh2so4
 !-----------------------------------------------------------------------
-     real function psh2o(T) result(psh2o_out)
+     REAL function psh2o(T) result(psh2o_out)
 !     equilibrium H2O pressure over pure liquid water (Pa)
 
       IMPLICIT NONE
-      real, intent(in) :: T
+      REAL, INTENT(IN) :: T
 
       IF(T>229.) THEN
@@ -835,5 +835,5 @@
      END FUNCTION psh2o
 !-----------------------------------------------------------------------
-     real function density(T,so4mfrac) result(density_out)
+     REAL function density(T,so4mfrac) result(density_out)
 !        calculation of particle density (gr/cm3)
 
@@ -842,6 +842,6 @@
 
       IMPLICIT NONE
-      real, intent(in) :: T, so4mfrac
-      real, parameter :: &
+      REAL, INTENT(IN) :: T, so4mfrac
+      REAL, parameter :: &
         a1= 0.7681724,&
         a2= 2.184714, &
@@ -851,5 +851,5 @@
         a6=-75.73729, &
         a7= 23.43228
-      real, parameter :: &
+      REAL, parameter :: &
         b1= 1.808225e-3, &
         b2=-9.294656e-3, &
@@ -859,5 +859,5 @@
         b6= 4.857736e-1, &
         b7=-1.629592e-1
-      real, parameter :: &
+      REAL, parameter :: &
         c1=-3.478524e-6, &
         c2= 1.335867e-5, &
@@ -886,5 +886,5 @@
      END FUNCTION density
 !-----------------------------------------------------------------------
-     real function surftension(T,so4frac) result(surftension_out)
+     REAL function surftension(T,so4frac) result(surftension_out)
 !        calculation of surface tension (mN/meter)
 !        requires Temperature (T) and acid mole fraction (so4frac)
@@ -892,7 +892,7 @@
 
       IMPLICIT NONE
-      real,intent(in) :: T, so4frac
+      REAL,INTENT(IN) :: T, so4frac
       REAL :: a,b,so4mfrac,so4m2,so4m3,so4m4,so4m5,so4sig
-      real, parameter :: &
+      REAL, parameter :: &
        a1= 0.11864, &
        a2=-0.11651, &
@@ -901,5 +901,5 @@
        a5= 2.95434, &
        a6=-1.25852
-      real, parameter :: &
+      REAL, parameter :: &
        b1=-1.5709e-4, &
        b2= 4.0102e-4, &
@@ -908,6 +908,6 @@
        b5=-9.37386e-3, &
        b6= 3.89722e-3
-      real, parameter :: convfac=1.e3  ! convert from newton/m to dyne/cm
-      real, parameter :: Mw=18.01528, Ma=98.079
+      REAL, parameter :: convfac=1.e3  ! convert from newton/m to dyne/cm
+      REAL, parameter :: Mw=18.01528, Ma=98.079
 
 !     so4 mass fraction
@@ -926,5 +926,5 @@
      END FUNCTION surftension
 !-----------------------------------------------------------------------
-     real function wph2so4(pph2o,T) result(wph2so4_out)
+     REAL function wph2so4(pph2o,T) result(wph2so4_out)
 !     Calculates the equilibrium composition of h2so4 aerosols
 !     as a function of temperature and  H2O pressure, using
@@ -942,5 +942,5 @@
 
       IMPLICIT NONE
-      real, intent(in) :: pph2o, T 
+      REAL, INTENT(IN) :: pph2o, T
       
       REAL :: aw, rh, y1, y2, sulfmolal
@@ -955,10 +955,10 @@
 !       composition
 !       calculation of h2so4 molality
-            IF(aw <= 0.05 .and. aw > 0.) THEN
+            IF(aw <= 0.05 .AND. aw > 0.) THEN
                y1=12.372089320*aw**(-0.16125516114) &
     -30.490657554*aw -2.1133114241
                y2=13.455394705*aw**(-0.19213122550) &
     -34.285174607*aw -1.7620073078
-            else IF(aw <= 0.85 .and. aw > 0.05) THEN
+            else IF(aw <= 0.85 .AND. aw > 0.05) THEN
                y1=11.820654354*aw**(-0.20786404244) &
     -4.8073063730*aw -5.1727540348
@@ -1001,9 +1001,9 @@
      END FUNCTION wph2so4
 !-----------------------------------------------------------------------
-     real function solh2so4(T,xa) result(solh2so4_out)
+     REAL function solh2so4(T,xa) result(solh2so4_out)
 !     equilibrium h2so4 number density over H2SO4/H2O solution (molec/cm3)
 
       IMPLICIT NONE
-      real, intent(in) :: T, xa       ! T(K)  xa(H2SO4 mass fraction)
+      REAL, INTENT(IN) :: T, xa       ! T(K)  xa(H2SO4 mass fraction)
       
       REAL :: xw, a12,b12, cacta, presat
@@ -1023,10 +1023,10 @@
      END FUNCTION solh2so4
 !-----------------------------------------------------------------------      
-     real function rpmvh2so4(T,ws) result(rpmvh2so4_out)
+     REAL function rpmvh2so4(T,ws) result(rpmvh2so4_out)
 !     partial molar volume of h2so4 in h2so4/h2o solution (cm3/mole)
 
       IMPLICIT NONE
-      real, intent(in) :: T, ws
-      real, dimension(22),parameter :: x=(/  &
+      REAL, INTENT(IN) :: T, ws
+      REAL, DIMENSION(22),parameter :: x=(/  &
    2.393284E-02,-4.359335E-05,7.961181E-08,0.0,-0.198716351, &
    1.39564574E-03,-2.020633E-06,0.51684706,-3.0539E-03,4.505475E-06, &
@@ -1046,10 +1046,10 @@
      END FUNCTION rpmvh2so4
 !-----------------------------------------------------------------------
-     real function rmvh2o(T) result(rmvh2o_out)
+     REAL function rmvh2o(T) result(rmvh2o_out)
 !     molar volume of pure h2o (cm3/mole)
 
        IMPLICIT NONE
-       real, intent(in) :: T 
-       real, parameter :: x1=2.393284E-02,x2=-4.359335E-05,x3=7.961181E-08
+       REAL, INTENT(IN) :: T
+       REAL, parameter :: x1=2.393284E-02,x2=-4.359335E-05,x3=7.961181E-08
 
 !      1000: L/mole ->  cm3/mole
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5117)
@@ -108,5 +108,5 @@
     ENDDO
 
-    IF (debutphy .and. is_mpi_root) THEN
+    IF (debutphy .AND. is_mpi_root) THEN
       DO it = 1, nbtr_bin
         WRITE(lunout, *) 'radius bin', it, ':', r_bin(it), '(from', r_lower(it), 'to', r_upper(it), ')'
@@ -114,5 +114,5 @@
     ENDIF
 
-    !--initialising logical is_strato from stratomask
+    !--initialising LOGICAL is_strato from stratomask
     is_strato(:, :) = .FALSE.
     WHERE (stratomask>0.5) is_strato = .TRUE.
@@ -143,5 +143,5 @@
 
     !--initialise emission diagnostics
-    if (nErupt > 0 .and. (flag_emit == 1 .or. flag_emit == 4)) budg_emi(:, 1) = 0.0
+    IF (nErupt > 0 .AND. (flag_emit == 1 .OR. flag_emit == 4)) budg_emi(:, 1) = 0.0
     budg_emi_ocs(:) = 0.0
     budg_emi_so2(:) = 0.0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/YOEGWD.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/YOEGWD.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/YOEGWD.h	(revision 5117)
@@ -10,7 +10,7 @@
 !     -----------------------------------------------------------------
 
-      integer NKTOPG,NSTRA
-      real GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT
-      real GHMAX,GRAHILO,GSIGCR,GSSEC,GTSEC,GVSEC
+      INTEGER NKTOPG,NSTRA
+      REAL GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT
+      REAL GHMAX,GRAHILO,GSIGCR,GSSEC,GTSEC,GVSEC
 
       REAL GWD_RANDO_RUWMAX
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5117)
@@ -21,6 +21,6 @@
 
 !  ONLINE:
-    use dimphy, ONLY: klon, klev
-    use lmdz_assert, ONLY: assert
+    USE dimphy, ONLY: klon, klev
+    USE lmdz_assert, ONLY: assert
     USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE lmdz_vertical_layers, ONLY: presnivs
@@ -38,18 +38,18 @@
 
     ! 0.1 INPUTS
-    REAL, intent(in)::DTIME ! Time step of the Physics
-    REAL, intent(in):: PP(:, :) ! (KLON, KLEV) Pressure at full levels
-    REAL, intent(in):: ROT(:,:) ! Relative vorticity              
-    REAL, intent(in):: TT(:, :) ! (KLON, KLEV) Temp at full levels 
-    REAL, intent(in):: UU(:, :) ! (KLON, KLEV) Zonal wind at full levels
-    REAL, intent(in):: VV(:, :) ! (KLON, KLEV) Merid wind at full levels
-    REAL, intent(in):: PLAT(:) ! (KLON) LATITUDE                   
+    REAL, INTENT(IN)::DTIME ! Time step of the Physics
+    REAL, INTENT(IN):: PP(:, :) ! (KLON, KLEV) Pressure at full levels
+    REAL, INTENT(IN):: ROT(:,:) ! Relative vorticity
+    REAL, INTENT(IN):: TT(:, :) ! (KLON, KLEV) Temp at full levels
+    REAL, INTENT(IN):: UU(:, :) ! (KLON, KLEV) Zonal wind at full levels
+    REAL, INTENT(IN):: VV(:, :) ! (KLON, KLEV) Merid wind at full levels
+    REAL, INTENT(IN):: PLAT(:) ! (KLON) LATITUDE
 
     ! 0.2 OUTPUTS
-    REAL, intent(out):: zustr(:), zvstr(:) ! (KLON) Surface Stresses
-
-    REAL, intent(inout):: d_u(:, :), d_v(:, :) 
-    REAL, intent(inout):: east_gwstress(:, :) !  Profile of eastward stress
-    REAL, intent(inout):: west_gwstress(:, :) !  Profile of westward stress 
+    REAL, INTENT(OUT):: zustr(:), zvstr(:) ! (KLON) Surface Stresses
+
+    REAL, INTENT(INOUT):: d_u(:, :), d_v(:, :)
+    REAL, INTENT(INOUT):: east_gwstress(:, :) !  Profile of eastward stress
+    REAL, INTENT(INOUT):: west_gwstress(:, :) !  Profile of westward stress
     ! (KLON, KLEV) tendencies on winds
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5117)
@@ -240,5 +240,5 @@
                     zh_qw_col(:,n), zh_ql_col(:,n), zh_qs_col(:,n), zh_qbs_col(:,n), zh_col(:,n))
 
-  ENDIF ! endif (fl_ebil .GT. 0)
+  ENDIF ! END IF (fl_ebil .GT. 0)
 
 !======================================================================
@@ -263,10 +263,10 @@
         zt=t_seri(i,k)+zdt(i,k)
         zq=q_seri(i,k)+zdq(i,k)
-        IF ( zt>370. .or. zt<130. .or. abs(zdt(i,k))>50. ) THEN
+        IF ( zt>370. .OR. zt<130. .OR. abs(zdt(i,k))>50. ) THEN
            jbad = jbad + 1
            jadrs(jbad) = i
            kadrs(jbad) = k
         ENDIF
-        IF ( zq<0. .or. zq>0.1 .or. abs(zdq(i,k))>1.e-2 ) THEN
+        IF ( zq<0. .OR. zq>0.1 .OR. abs(zdq(i,k))>1.e-2 ) THEN
            jqbad = jqbad + 1
            jqadrs(jqbad) = i
@@ -364,5 +364,5 @@
   DO k = 1, klev
      DO i = 1, klon
-        IF ( t_seri(i,k)>370. .or. t_seri(i,k)<130. .or. abs(zdt(i,k))>50. ) THEN
+        IF ( t_seri(i,k)>370. .OR. t_seri(i,k)<130. .OR. abs(zdt(i,k))>50. ) THEN
         jbad = jbad + 1
         jadrs(jbad) = i
@@ -371,5 +371,5 @@
 !        endif
         ENDIF
-        IF ( q_seri(i,k)<0. .or. q_seri(i,k)>0.1 .or. abs(zdq(i,k))>1.e-2 ) THEN
+        IF ( q_seri(i,k)<0. .OR. q_seri(i,k)>0.1 .OR. abs(zdq(i,k))>1.e-2 ) THEN
         jqbad = jqbad + 1
         jqadrs(jqbad) = i
@@ -389,5 +389,5 @@
                  i,itap,longitude_deg(i),latitude_deg(i),text,jbad, &
           zdt(i,k),t_seri(i,k)-zdt(i,k)
-!!!       IF(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN
+!!!       IF(prt_level.ge.10.AND.itap.GE.229.AND.i.EQ.3027) THEN
           PRINT*,'l    T     dT       Q     dQ    '
           DO k = 1, klev
@@ -407,5 +407,5 @@
                  i,itap,longitude_deg(i),latitude_deg(i),text,jqbad,&
           zdq(i,k), q_seri(i,k)-zdq(i,k), zdql(i,k), ql_seri(i,k)-zdql(i,k)
-!!!       IF(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN
+!!!       IF(prt_level.ge.10.AND.itap.GE.229.AND.i.EQ.3027) THEN
           PRINT*,'l    T     dT       Q     dQ    '
           DO k = 1, klev
@@ -471,5 +471,5 @@
     d_h_col = (zh_col(:,2)-zh_col(:,1))/phys_tstep 
 
-  ENDIF ! endif (fl_ebil .GT. 0)
+  ENDIF ! END IF (fl_ebil .GT. 0)
 
 ! When in diagnostic mode, restore "out" variables to initial values.
@@ -592,5 +592,5 @@
                     zh_qw_col(:,n), zh_ql_col(:,n), zh_qs_col(:,n), zh_qbs_col(:,n), zh_col(:,n))
 
-  ENDIF ! endif (fl_ebil .GT. 0)
+  ENDIF ! END IF (fl_ebil .GT. 0)
 
 !======================================================================
@@ -646,5 +646,5 @@
     d_h_col = (zh_col(:,2)-zh_col(:,1))/phys_tstep 
 
-  ENDIF ! endif (fl_ebil .GT. 0)
+  ENDIF ! END IF (fl_ebil .GT. 0)
 
 
@@ -833,5 +833,5 @@
 9000 FORMAT(1x,A8,2x,A35,10E15.6)
 
-ENDIF ! endif (fl_ebil .GT. 0)
+ENDIF ! END IF (fl_ebil .GT. 0)
 
 END SUBROUTINE prt_enerbil
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_2bands.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_2bands.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_2bands.F90	(revision 5117)
@@ -10,5 +10,5 @@
   USE dimphy
   USE aero_mod
-  USE pres2lev_mod
+  USE lmdz_pres2lev
   USE lmdz_abort_physic, ONLY: abort_physic
 
@@ -24,19 +24,19 @@
   ! Input arguments:
 
-  REAL, DIMENSION(klon,klev),     INTENT(in)  :: pdel
-  REAL,                           INTENT(in)  :: delt
-  REAL, DIMENSION(klon,klev,naero_tot),   INTENT(in)  :: m_allaer
-  REAL, DIMENSION(klon,klev,naero_tot),   INTENT(in)  :: m_allaer_pi
-  REAL, DIMENSION(klon,klev),     INTENT(in)  :: RHcl       ! humidite relative ciel clair
-  INTEGER,                        INTENT(in)  :: flag_aerosol
-  REAL, DIMENSION(klon,klev),     INTENT(in)  :: pplay
-  REAL, DIMENSION(klon,klev),     INTENT(in)  :: t_seri
-  REAL, DIMENSION(klev),          INTENT(in)  :: presnivs
+  REAL, DIMENSION(klon,klev),     INTENT(IN)  :: pdel
+  REAL,                           INTENT(IN)  :: delt
+  REAL, DIMENSION(klon,klev,naero_tot),   INTENT(IN)  :: m_allaer
+  REAL, DIMENSION(klon,klev,naero_tot),   INTENT(IN)  :: m_allaer_pi
+  REAL, DIMENSION(klon,klev),     INTENT(IN)  :: RHcl       ! humidite relative ciel clair
+  INTEGER,                        INTENT(IN)  :: flag_aerosol
+  REAL, DIMENSION(klon,klev),     INTENT(IN)  :: pplay
+  REAL, DIMENSION(klon,klev),     INTENT(IN)  :: t_seri
+  REAL, DIMENSION(klev),          INTENT(IN)  :: presnivs
 
   ! Output arguments:
 
-  REAL, DIMENSION(klon,klev,naero_grp,nbands), INTENT(out) :: tau_allaer ! epaisseur optique aerosol
-  REAL, DIMENSION(klon,klev,naero_grp,nbands), INTENT(out) :: piz_allaer ! single scattering albedo aerosol
-  REAL, DIMENSION(klon,klev,naero_grp,nbands), INTENT(out) :: cg_allaer  ! asymmetry parameter aerosol
+  REAL, DIMENSION(klon,klev,naero_grp,nbands), INTENT(OUT) :: tau_allaer ! epaisseur optique aerosol
+  REAL, DIMENSION(klon,klev,naero_grp,nbands), INTENT(OUT) :: piz_allaer ! single scattering albedo aerosol
+  REAL, DIMENSION(klon,klev,naero_grp,nbands), INTENT(OUT) :: cg_allaer  ! asymmetry parameter aerosol
 
   ! Local
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_5wv.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_5wv.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_5wv.F90	(revision 5117)
@@ -11,5 +11,5 @@
   USE aero_mod
   USE phys_local_var_mod, ONLY: od550aer,od865aer,ec550aer,od550lt1aer
-  USE pres2lev_mod
+  USE lmdz_pres2lev
   USE lmdz_abort_physic, ONLY: abort_physic
 
@@ -53,18 +53,18 @@
   ! Input arguments:
 
-  REAL, DIMENSION(klon,klev), INTENT(in)   :: pdel
-  REAL, INTENT(in)                         :: delt
-  REAL, DIMENSION(klon,klev,naero_tot), INTENT(in) :: m_allaer
-  REAL, DIMENSION(klon,klev), INTENT(in)   :: RHcl     ! humidite relative ciel clair
-  INTEGER,INTENT(in)                       :: flag_aerosol
-  REAL, DIMENSION(klon,klev), INTENT(in)   :: pplay
-  REAL, DIMENSION(klon,klev), INTENT(in)   :: t_seri
-  REAL, DIMENSION(klev),      INTENT(in)   :: presnivs
+  REAL, DIMENSION(klon,klev), INTENT(IN)   :: pdel
+  REAL, INTENT(IN)                         :: delt
+  REAL, DIMENSION(klon,klev,naero_tot), INTENT(IN) :: m_allaer
+  REAL, DIMENSION(klon,klev), INTENT(IN)   :: RHcl     ! humidite relative ciel clair
+  INTEGER,INTENT(IN)                       :: flag_aerosol
+  REAL, DIMENSION(klon,klev), INTENT(IN)   :: pplay
+  REAL, DIMENSION(klon,klev), INTENT(IN)   :: t_seri
+  REAL, DIMENSION(klev),      INTENT(IN)   :: presnivs
 
   ! Output arguments:
 
-  REAL, DIMENSION(klon), INTENT(out)          :: ai      ! POLDER aerosol index
-  REAL, DIMENSION(klon,nwave,naero_tot), INTENT(out)      :: tausum
-  REAL, DIMENSION(klon,klev,nwave,naero_tot), INTENT(out) :: tau
+  REAL, DIMENSION(klon), INTENT(OUT)          :: ai      ! POLDER aerosol index
+  REAL, DIMENSION(klon,nwave,naero_tot), INTENT(OUT)      :: tausum
+  REAL, DIMENSION(klon,klev,nwave,naero_tot), INTENT(OUT) :: tau
 
   ! Local
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/albedo.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/albedo.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/albedo.F90	(revision 5117)
@@ -132,10 +132,10 @@
 
     ! Arguments
-    ! rmu0    (in): cosinus de l'angle solaire zenithal
-    ! albedo (out): albedo de surface de l'ocean
+    ! rmu0    (IN): cosinus de l'angle solaire zenithal
+    ! albedo (OUT): albedo de surface de l'ocean
     ! ======================================================================
     include "clesphys.h"
-    REAL, intent(in):: rmu0(klon)
-    real, intent(out):: albedo(klon)
+    REAL, INTENT(IN):: rmu0(klon)
+    REAL, INTENT(OUT):: albedo(klon)
 
     REAL fauxo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/albsno.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/albsno.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/albsno.F90	(revision 5117)
@@ -35,8 +35,8 @@
 !****************************************************************************************
 
-  if (albsno0>=0.) THEN
+  IF (albsno0>=0.) THEN
      init(:)=albsno0
      decay(:)=0.
-  endif
+  ENDIF
 
   veget = 0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90	(revision 5117)
@@ -75,6 +75,6 @@
 
        !calcul de ale_wake et alp_wake
-       if (iflag_wake>=1) THEN
-          if (itap <= it_wape_prescr) THEN
+       IF (iflag_wake>=1) THEN
+          IF (itap <= it_wape_prescr) THEN
              do i = 1,klon
                 ale_wake(i) = wape_prescr
@@ -97,6 +97,6 @@
        !combinaison avec ale et alp de couche limite: constantes si pas
        !de couplage, valeurs calculees dans le thermique sinon
-       if (iflag_coupl==0) THEN
-          if (debut.and.prt_level>9) &
+       IF (iflag_coupl==0) THEN
+          IF (debut.AND.prt_level>9) &
                WRITE(lunout,*)'ALE et ALP imposes'
           do i = 1,klon
@@ -124,5 +124,5 @@
           ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
           ! Estimation d'une vitesse verticale effective pour ALP
-          if (1==0) THEN
+          IF (1==0) THEN
              www(1:klon)=0.
              do k=2,klev-1
@@ -138,5 +138,5 @@
              enddo
              do i=1,klon
-                if (www(i)>0. .and. ale_bl(i)>0. ) www(i)=www(i)/ale_bl(i)
+                IF (www(i)>0. .AND. ale_bl(i)>0. ) www(i)=www(i)/ale_bl(i)
              enddo
           ENDIF
@@ -146,9 +146,9 @@
              ALE(i) = max(ale_wake(i),Ale_bl(i))
              !cc nrlmd le 10/04/2012----------Stochastic triggering------------
-             if (iflag_trig_bl>=1) THEN
+             IF (iflag_trig_bl>=1) THEN
                 ALE(i) = max(ale_wake(i),Ale_bl_trig(i))
              endif
              !cc fin nrlmd le 10/04/2012
-             if (alp_offset>=0.) THEN
+             IF (alp_offset>=0.) THEN
                 ALP(i) = alp_wake(i) + Alp_bl(i) + alp_offset ! modif sb
              else
@@ -176,5 +176,5 @@
        endif
        do i=1,klon
-          if (alp(i)>alp_max) THEN
+          IF (alp(i)>alp_max) THEN
              IF(prt_level>9)WRITE(lunout,*)                             &
                   'WARNING SUPER ALP (seuil=',alp_max, &
@@ -182,5 +182,5 @@
              alp(i)=alp_max
           endif
-          if (ale(i)>ale_max) THEN
+          IF (ale(i)>ale_max) THEN
              IF(prt_level>9)WRITE(lunout,*)                             &
                   'WARNING SUPER ALE (seuil=',ale_max, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.h	(revision 5117)
@@ -5,9 +5,9 @@
 
 ! dans alealp_th, thermcell_alp, physiq_mod, conf_phys
-      integer            :: iflag_trig_bl,iflag_clos_bl,iflag_strig
-      integer            :: tau_trig_shallow,tau_trig_deep
+      INTEGER            :: iflag_trig_bl,iflag_clos_bl,iflag_strig
+      INTEGER            :: tau_trig_shallow,tau_trig_deep
       real               :: s_trig, h_trig
 ! thermcell_alp et convection ...
-      integer            :: iflag_coupl,iflag_clos,iflag_wake
+      INTEGER            :: iflag_coupl,iflag_clos,iflag_wake
 ! thermcell_alp
       real               :: alp_bl_k
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5117)
@@ -127,5 +127,5 @@
           !cc nrlmd le 10/04/2012
           !-----------Stochastic triggering-----------
-          if (iflag_trig_bl>=1) THEN
+          IF (iflag_trig_bl>=1) THEN
              IF (prt_level >= 10) THEN
                 WRITE(lunout,*)'cin, ale_bl_stat, alp_bl, alp_bl_stat ', &
@@ -138,6 +138,6 @@
 !!jyg                proba_notrig(i)=1.
                 random_notrig(i)=1e6*ale_bl_stat(i)-int(1e6*ale_bl_stat(i))
-                if ( random_notrig(i) > random_notrig_max ) random_notrig(i)=0.
-                if ( ale_bl_trig(i) < abs(cin(i))+1.e-10 ) THEN
+                IF ( random_notrig(i) > random_notrig_max ) random_notrig(i)=0.
+                IF ( ale_bl_trig(i) < abs(cin(i))+1.e-10 ) THEN
                    tau_trig(i)=tau_trig_shallow
                 else
@@ -157,9 +157,9 @@
                 !----Tirage al\'eatoire et calcul de ale_bl_trig
                 do i=1,klon
-                   if ( (ale_bl_stat(i) > abs(cin(i))+1.e-10) )  THEN
+                   IF ( (ale_bl_stat(i) > abs(cin(i))+1.e-10) )  THEN
                       proba_notrig(i)=proba_notrig(i)* &
                          (1.-exp(-strig(i)/s2(i)))**(n2(i)*dtime/tau_trig(i))
                       !        print *, 'proba_notrig(i) ',proba_notrig(i)
-                      if (random_notrig(i) >= proba_notrig(i)) THEN
+                      IF (random_notrig(i) >= proba_notrig(i)) THEN
                          ale_bl_trig(i)=ale_bl_stat(i)
                       else
@@ -178,9 +178,9 @@
              ELSE IF (iflag_trig_bl>=2) THEN
                 do i=1,klon
-                   if ( (Ale_bl(i) > abs(cin(i))+1.e-10) )  THEN
+                   IF ( (Ale_bl(i) > abs(cin(i))+1.e-10) )  THEN
                       proba_notrig(i)=proba_notrig(i)* &
                          (1.-exp(-strig(i)/s2(i)))**(n2(i)*dtime/tau_trig(i))
                       !        print *, 'proba_notrig(i) ',proba_notrig(i)
-                      if (random_notrig(i) >= proba_notrig(i)) THEN
+                      IF (random_notrig(i) >= proba_notrig(i)) THEN
                          ale_bl_trig(i)=Ale_bl(i)
                       else
@@ -207,13 +207,13 @@
 
           !-----------Statistical closure-----------
-          if (iflag_clos_bl==1) THEN
+          IF (iflag_clos_bl==1) THEN
              do i=1,klon
                 !CR: alp probabiliste
-                if (ale_bl_trig(i)>0.) THEN
+                IF (ale_bl_trig(i)>0.) THEN
                    alp_bl(i)=alp_bl(i)/(1.-min(proba_notrig(i),0.999))
                 endif
              enddo
 
-          else if (iflag_clos_bl==2) THEN
+          ELSE IF (iflag_clos_bl==2) THEN
              !CR: alp calculee dans thermcell_main
              do i=1,klon
@@ -235,5 +235,5 @@
 
           !-----------Stochastic triggering-----------
-     if (iflag_trig_bl>=1) THEN
+     IF (iflag_trig_bl>=1) THEN
         IF (prt_level >= 10) THEN
            WRITE(lunout,*)'cin, ale_bl_stat, alp_bl_stat ', &
@@ -251,5 +251,5 @@
               ale_bl_ref(i)=Ale_bl(i)
          enddo
-        ENDIF ! (iflag_trig_bl.eq.1)
+        ENDIF ! (iflag_trig_bl.EQ.1)
 
 
@@ -258,5 +258,5 @@
 !!jyg           proba_notrig(i)=1.
            random_notrig(i)=1e6*ale_bl_stat(i)-int(1e6*ale_bl_stat(i))
-           if ( ale_bl_trig(i) < abs(cin(i))+1.e-10 ) THEN
+           IF ( ale_bl_trig(i) < abs(cin(i))+1.e-10 ) THEN
               tau_trig(i)=tau_trig_shallow
            else
@@ -274,5 +274,5 @@
         !----alp_bl computation
         do i=1,klon
-           if ( (ale_bl_ref(i) > abs(cin(i))+1.e-10) )  THEN
+           IF ( (ale_bl_ref(i) > abs(cin(i))+1.e-10) )  THEN
               birth_number = n2(i)*exp(-strig(i)/s2(i))
               birth_rate(i) = birth_number/(tau_trig(i)*cell_area(i))
@@ -293,5 +293,5 @@
         !----ale_bl_trig computation
          do i=1,klon
-           if (random_notrig(i) >= proba_notrig(i)) THEN
+           IF (random_notrig(i) >= proba_notrig(i)) THEN
               ale_bl_trig(i)=ale_bl_ref(i)
            else
@@ -320,10 +320,10 @@
           !IM/FH: 2011/02/23 
           ! Couplage Thermiques/Emanuel seulement si T<0
-          if (iflag_coupl==2) THEN
+          IF (iflag_coupl==2) THEN
              IF (prt_level >= 10) THEN
                 WRITE(lunout,*)'Couplage Thermiques/Emanuel seulement si T<0'
              ENDIF
              do i=1,klon
-                if (t_seri(i,lmax_th(i))>273.) THEN
+                IF (t_seri(i,lmax_th(i))>273.) THEN
                    Ale_bl(i)=0.
                 endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5117)
@@ -20,9 +20,9 @@
 ! axe y crosses (0 N, 90 E) point.
 ! axe z is 'up' : crosses north pole
-  INTEGER, INTENT (in)                 :: im, jm
-  REAL, DIMENSION (im,jm), INTENT (in) :: pte  ! Eastward vector component
-  REAL, DIMENSION (im,jm), INTENT (in) :: ptn  ! Northward vector component
-  REAL, DIMENSION (im,jm), INTENT (in) :: plon, plat
-  REAL, DIMENSION (im,jm), INTENT(out) :: pxx, pyy, pzz  ! Component in the geocentric referential 
+  INTEGER, INTENT (IN)                 :: im, jm
+  REAL, DIMENSION (im,jm), INTENT (IN) :: pte  ! Eastward vector component
+  REAL, DIMENSION (im,jm), INTENT (IN) :: ptn  ! Northward vector component
+  REAL, DIMENSION (im,jm), INTENT (IN) :: plon, plat
+  REAL, DIMENSION (im,jm), INTENT(OUT) :: pxx, pyy, pzz  ! Component in the geocentric referential
   REAL :: rad, reps
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5117)
@@ -16,11 +16,11 @@
 
   IMPLICIT NONE
-  integer klon,nt,j,it
-  real logbeta(klon),pi
-  real lat(klon),lat_radian(klon)
-  integer time
-  real time_radian
-  real lat_sahel,beta(klon)
-  real lat_nord,lat_sud
+  INTEGER klon,nt,j,it
+  REAL logbeta(klon),pi
+  REAL lat(klon),lat_radian(klon)
+  INTEGER time
+  REAL time_radian
+  REAL lat_sahel,beta(klon)
+  REAL lat_nord,lat_sud
 
   !==============================================
@@ -34,5 +34,5 @@
   time_radian=(time+15.)*2.*pi / year_len
 
-  if (prt_level >= 1) print *, 'time_radian time', time_radian, time
+  IF (prt_level >= 1) print *, 'time_radian time', time_radian, time
 
   lat(:)=180.*lat_radian(:)/pi !lat(:)=lat_radian(:)
@@ -43,5 +43,5 @@
   do j=1,klon
      !===========
-     if (lat(j) < 5. ) THEN
+     IF (lat(j) < 5. ) THEN
         logbeta(j)=0.2*(lat(j)-lat_sud)-1.6
         beta(j)=10**(logbeta(j))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_STDlev.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_STDlev.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_STDlev.h	(revision 5117)
@@ -6,5 +6,5 @@
 !       missing_val=nf90_fill_real
 
-       IF (.not. ok_all_xml) THEN
+       IF (.NOT. ok_all_xml) THEN
         CALL ini_undefSTD(itap,itapm1)
        ENDIF
@@ -112,5 +112,5 @@
                    zx_tmp_fi3d,O3STD)
 
-      if (read_climoz == 2) THEN
+      IF (read_climoz == 2) THEN
       zx_tmp_fi3d(:,:)=wo(:,:,2) * dobson_u * 1e3 / zmasse / rmo3 * rmd
         CALL plevel_new(klon,klev,nlevSTD,.FALSE.,pplay,rlevSTD, &
@@ -129,5 +129,5 @@
 !IM on moyenne a la fin du mois, du jour ou toutes les 6h
 
-       IF (.not. ok_all_xml) THEN
+       IF (.NOT. ok_all_xml) THEN
         CALL undefSTD(itap, read_climoz)
         CALL moy_undefSTD(itap,itapm1)
